=== debian/changelog ===
ros-galactic-ur-calibration (2.1.2-1focal) focal; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-galactic-ur-calibration (2.1.1-1focal) focal; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 04 May 2022 22:00:00 -0000

ros-galactic-ur-calibration (2.1.0-1focal) focal; urgency=high

  * Updated package maintainers (#360 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/360>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Calibration extraction package (#186 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/186>)
  * Contributors: Denis Štogl, Felix Exner, livanov93

 -- Felix Exner <exner@fzi.de>  Mon, 02 May 2022 22:00:00 -0000
